import { EventEmitter } from '@angular/core';
import { IActiveHighlightInfo } from './text-highlight.directive';
import * as i0 from "@angular/core";
export declare class IgxTextHighlightService {
    highlightGroupsMap: Map<string, IActiveHighlightInfo>;
    onActiveElementChanged: EventEmitter<string>;
    constructor();
    /**
     * Activates the highlight at a given index.
     * (if such index exists)
     */
    setActiveHighlight(groupName: string, highlight: IActiveHighlightInfo): void;
    /**
     * Clears any existing highlight.
     */
    clearActiveHighlight(groupName: any): void;
    /**
     * Destroys a highlight group.
     */
    destroyGroup(groupName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxTextHighlightService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<IgxTextHighlightService>;
}
