import { ChangeDetectorRef, ElementRef, NgZone } from '@angular/core';
import { PlatformUtil } from '../../core/utils';
import { PivotGridType } from '../common/grid.interface';
import { IgxFilteringService } from '../filtering/grid-filtering.service';
import { IgxGridHeaderGroupComponent } from '../headers/grid-header-group.component';
import { IgxPivotColumnResizingService } from '../resizing/pivot-grid/pivot-resizing.service';
import { IPivotDimension, PivotRowHeaderGroupType } from './pivot-grid.interface';
import { IgxPivotRowDimensionHeaderComponent } from './pivot-row-dimension-header.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class IgxPivotRowHeaderGroupComponent extends IgxGridHeaderGroupComponent implements PivotRowHeaderGroupType {
    private cdRef;
    grid: PivotGridType;
    private elementRef;
    colResizingService: IgxPivotColumnResizingService;
    protected zone: NgZone;
    /**
     * @hidden
     */
    userSelect: string;
    constructor(cdRef: ChangeDetectorRef, grid: PivotGridType, elementRef: ElementRef<HTMLElement>, colResizingService: IgxPivotColumnResizingService, filteringService: IgxFilteringService, platform: PlatformUtil, zone: NgZone);
    /**
     * @hidden
     * @internal
     */
    rowIndex: number;
    set dimWidth(value: number);
    get dimWidth(): number;
    get parent(): this;
    rootDimension: IPivotDimension;
    header: IgxPivotRowDimensionHeaderComponent;
    get headerID(): string;
    get title(): string;
    /**
     * @hidden
     * @internal
     */
    get visibleIndex(): number;
    get active(): boolean;
    get sortAscendingStyle(): boolean;
    get sortDescendingStyle(): boolean;
    get sortableStyle(): boolean;
    get sortedStyle(): boolean;
    protected get activeNode(): {
        row: number;
        column: number;
        level: any;
        mchCache: {
            level: number;
            visibleIndex: number;
        };
        layout: any;
    };
    activate(): void;
    /**
     * @hidden @internal
     */
    pointerdown(_event: PointerEvent): void;
    /**
     * @hidden @internal
     */
    onMouseDown(_event: MouseEvent): void;
    get selectable(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxPivotRowHeaderGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxPivotRowHeaderGroupComponent, "igx-pivot-row-header-group", never, { "rowIndex": { "alias": "rowIndex"; "required": false; }; "dimWidth": { "alias": "dimWidth"; "required": false; }; "rootDimension": { "alias": "rootDimension"; "required": false; }; }, {}, never, never, true, never>;
}
